Last Comment Bug 272361 - crash [@ nsMessengerWinIntegration::SetupInbox()], mostly startup crashes
: crash [@ nsMessengerWinIntegration::SetupInbox()], mostly startup crashes
Status: RESOLVED FIXED
: crash, fixed-seamonkey2.0.4, regression, topcrash
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: x86 Windows 2000
: -- critical (vote)
: Thunderbird 3.1b1
Assigned To: timeless
:
:
Mentors:
http://talkback-public.mozilla.org/ta...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-29 21:56 PST by Adam Hauner
Modified: 2011-06-09 14:58 PDT (History)
8 users (show)
vseerror: in‑testsuite?
vseerror: in‑litmus?
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
beta1-fixed
.2+
.2-fixed


Attachments
handle functions which can return success and null (1.28 KB, patch)
2010-01-20 15:04 PST, timeless
mozilla: review+
neil: superreview-
Details | Diff | Splinter Review
don't pretend to return null-success; handle null success (1.30 KB, patch)
2010-01-31 22:19 PST, timeless
mozilla: review+
neil: superreview+
standard8: approval‑thunderbird3.0.2+
Details | Diff | Splinter Review

Description Adam Hauner 2004-11-29 21:56:20 PST
220 incidents in Thunderbird Aviary, Mozilla 1.7 and Mozilla trunk.

Thunderbird Aviary (2004110312) TB2257856:
nsMessengerWinIntegration::SetupInbox 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMessengerWinIntegration.cpp,
line 1038]
nsMessengerWinIntegration::UpdateUnreadCount 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMessengerWinIntegration.cpp,
line 1125]
nsMsgMailSession::OnItemIntPropertyChanged 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMsgMailSession.cpp,
line 167]
nsMsgDBFolder::NotifyIntPropertyChanged 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/mailnews/base/util/nsMsgDBFolder.cpp,
line 4425]
nsImapMailFolder::UpdateSummaryTotals 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/mailnews/imap/src/nsImapMailFolder.cpp,
line 1718]
nsMsgDBFolder::EndFolderLoading 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/mailnews/base/util/nsMsgDBFolder.cpp,
line 290]
XPTC_InvokeByIndex 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/xpcom/reflect/xptcall/src/md/win32/xptcinvoke.cpp,
line 102]
XPCWrappedNative::CallMethod 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/js/src/xpconnect/src/xpcwrappednative.cpp,
line 2034]
XPC_WN_CallMethod 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/js/src/xpconnect/src/xpcwrappednativejsops.cpp,
line 1287]
js_Invoke 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 941]
js_Interpret 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 2972]
js_Invoke 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 958]
nsXPCWrappedJSClass::CallMethod 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/js/src/xpconnect/src/xpcwrappedjsclass.cpp,
line 1339]
nsXPCWrappedJS::CallMethod 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/js/src/xpconnect/src/xpcwrappedjs.cpp,
line 450]
SharedStub 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/xpcom/reflect/xptcall/src/md/win32/xptcstubs.cpp,
line 147]
nsMsgMailSession::OnItemEvent 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMsgMailSession.cpp,
line 262]
nsMsgDBFolder::NotifyFolderEvent 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/mailnews/base/util/nsMsgDBFolder.cpp,
line 4545]
nsMsgDBFolder::OnStopRunningUrl 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/mailnews/base/util/nsMsgDBFolder.cpp,
line 1308]
nsImapMailFolder::OnStopRunningUrl 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/mailnews/imap/src/nsImapMailFolder.cpp,
line 4820]
nsUrlListenerManager::BroadcastChange 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsUrlListenerManager.cpp,
line 97]
nsUrlListenerManager::OnStopRunningUrl 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsUrlListenerManager.cpp,
line 123]
nsImapMailFolder::SetUrlState 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/mailnews/imap/src/nsImapMailFolder.cpp,
line 6031]
XPTC_InvokeByIndex 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/xpcom/reflect/xptcall/src/md/win32/xptcinvoke.cpp,
line 102]
EventHandler 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/xpcom/proxy/src/nsProxyEvent.cpp,
line 545]
0x778b0c24
nsBaseCommandController::DoCommand 
[e:/builds/tinderbox/thunderbird-branch/WINNT_5.0_Clobber/mozilla/embedding/components/commandhandler/src/nsBaseCommandController.cpp,
line 131]

Mozilla 1.7 (2004091008) TB2252739:
nsMessengerWinIntegration::SetupInbox 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMessengerWinIntegration.cpp,
line 1057]
nsMessengerWinIntegration::UpdateUnreadCount 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMessengerWinIntegration.cpp,
line 1143]
nsMessengerWinIntegration::OnItemIntPropertyChanged 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMessengerWinIntegration.cpp,
line 911]
nsMsgMailSession::OnItemIntPropertyChanged 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMsgMailSession.cpp,
line 167]
nsMsgDBFolder::NotifyIntPropertyChanged 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/mailnews/base/util/nsMsgDBFolder.cpp,
line 4011]
nsMsgLocalMailFolder::UpdateSummaryTotals 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/mailnews/local/src/nsLocalMailFolder.cpp,
line 1496]
nsMsgLocalMailFolder::GetDatabase 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/mailnews/local/src/nsLocalMailFolder.cpp,
line 660]
nsMsgDBFolder::GetMsgDatabase 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/mailnews/base/util/nsMsgDBFolder.cpp,
line 742]
XPTC_InvokeByIndex 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/xpcom/reflect/xptcall/src/md/win32/xptcinvoke.cpp,
line 102]
XPCWrappedNative::CallMethod 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/js/src/xpconnect/src/xpcwrappednative.cpp,
line 2030]
XPC_WN_CallMethod 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/js/src/xpconnect/src/xpcwrappednativejsops.cpp,
line 1288]
js_Invoke 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 943]
js_Interpret 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 2973]
js_Invoke 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 959]
js_InternalInvoke 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 1036]
JS_CallFunctionValue 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/js/src/jsapi.c, line
3609]
nsJSContext::CallEventHandler 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/dom/src/base/nsJSEnvironment.cpp,
line 1299]
nsJSEventListener::HandleEvent 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/dom/src/events/nsJSEventListener.cpp,
line 181]
nsEventListenerManager::HandleEventSubType 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/content/events/src/nsEventListenerManager.cpp,
line 1435]
nsEventListenerManager::HandleEvent 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/content/events/src/nsEventListenerManager.cpp,
line 1512]
nsXULElement::HandleDOMEvent 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/content/xul/content/src/nsXULElement.cpp,
line 2841]
nsTreeSelection::FireOnSelectHandler 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/layout/xul/base/src/tree/src/nsTreeSelection.cpp,
line 789]
nsTreeSelection::Select 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/layout/xul/base/src/tree/src/nsTreeSelection.cpp,
line 406]
XPTC_InvokeByIndex 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/xpcom/reflect/xptcall/src/md/win32/xptcinvoke.cpp,
line 102]
XPCWrappedNative::CallMethod 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/js/src/xpconnect/src/xpcwrappednative.cpp,
line 2030]
XPC_WN_CallMethod 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/js/src/xpconnect/src/xpcwrappednativejsops.cpp,
line 1288]
js_Invoke 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 943]
js_Interpret 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 2973]
js_Invoke 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 959]
js_InternalInvoke 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 1036]
JS_CallFunctionValue 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/js/src/jsapi.c, line
3609]
nsJSContext::CallEventHandler 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/dom/src/base/nsJSEnvironment.cpp,
line 1299]
nsJSEventListener::HandleEvent 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/dom/src/events/nsJSEventListener.cpp,
line 181]
nsEventListenerManager::HandleEventSubType 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/content/events/src/nsEventListenerManager.cpp,
line 1435]
nsEventListenerManager::HandleEvent 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/content/events/src/nsEventListenerManager.cpp,
line 1512]
nsXULElement::HandleDOMEvent 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/content/xul/content/src/nsXULElement.cpp,
line 2841]
PresShell::HandleEventInternal 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/layout/html/base/src/nsPresShell.cpp,
line 6038]
PresShell::HandleEventWithTarget 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/layout/html/base/src/nsPresShell.cpp,
line 5992]
nsEventStateManager::CheckForAndDispatchClick 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/content/events/src/nsEventStateManager.cpp,
line 2905]
nsEventStateManager::PostHandleEvent 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/content/events/src/nsEventStateManager.cpp,
line 1906]
PresShell::HandleEventInternal 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/layout/html/base/src/nsPresShell.cpp,
line 6091]
PresShell::HandleEvent 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/layout/html/base/src/nsPresShell.cpp,
line 5961]
nsViewManager::HandleEvent 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/view/src/nsViewManager.cpp,
line 2285]
nsViewManager::DispatchEvent 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/view/src/nsViewManager.cpp,
line 2029]
HandleEvent 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/view/src/nsView.cpp,
line 79]
nsWindow::DispatchEvent 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/widget/src/windows/nsWindow.cpp,
line 1071]
nsWindow::DispatchWindowEvent 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/widget/src/windows/nsWindow.cpp,
line 1088]
nsWindow::DispatchMouseEvent 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/widget/src/windows/nsWindow.cpp,
line 5261]
ChildWindow::DispatchMouseEvent 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/widget/src/windows/nsWindow.cpp,
line 5512]
nsWindow::ProcessMessage 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/widget/src/windows/nsWindow.cpp,
line 4091]
nsWindow::WindowProc 
[d:/BUILDS/tinderbox/Mozilla1.7.3/WINNT_5.0_Clobber/mozilla/widget/src/windows/nsWindow.cpp,
line 1350]

Mozilla Trunk (2004112206) TB2143433:
nsMessengerWinIntegration::SetupInbox 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMessengerWinIntegration.cpp,
line 1040]
nsMessengerWinIntegration::UpdateUnreadCount 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMessengerWinIntegration.cpp,
line 1126]
nsMessengerWinIntegration::OnItemIntPropertyChanged 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMessengerWinIntegration.cpp,
line 888]
nsMsgMailSession::OnItemIntPropertyChanged 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMsgMailSession.cpp,
line 167]
nsMsgDBFolder::NotifyIntPropertyChanged 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/mailnews/base/util/nsMsgDBFolder.cpp,
line 4405]
nsImapMailFolder::UpdateSummaryTotals 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/mailnews/imap/src/nsImapMailFolder.cpp,
line 1705]
nsImapMailFolder::GetDatabase 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/mailnews/imap/src/nsImapMailFolder.cpp,
line 691]
nsImapMailFolder::GetDBFolderInfoAndDB 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/mailnews/imap/src/nsImapMailFolder.cpp,
line 1987]
nsImapMailFolder::SetOnlineName 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/mailnews/imap/src/nsImapMailFolder.cpp,
line 1950]
nsImapMailFolder::CreateClientSubfolderInfo 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/mailnews/imap/src/nsImapMailFolder.cpp,
line 972]
nsImapMailFolder::GetSubFolders 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/mailnews/imap/src/nsImapMailFolder.cpp,
line 657]
nsMsgFolderDataSource::createFolderChildNode 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMsgFolderDataSource.cpp,
line 1962]
nsMsgFolderDataSource::createFolderNode 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMsgFolderDataSource.cpp,
line 1096]
nsMsgFolderDataSource::GetTarget 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMsgFolderDataSource.cpp,
line 444]
CompositeDataSourceImpl::GetTarget 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/rdf/base/src/nsCompositeDataSource.cpp,
line 825]
nsRDFConInstanceTestNode::FilterInstantiations 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/content/xul/templates/src/nsRDFConInstanceTestNode.cpp,
line 179]
TestNode::Propagate 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/content/xul/templates/src/nsRuleNetwork.cpp,
line 1045]
TestNode::Propagate 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/content/xul/templates/src/nsRuleNetwork.cpp,
line 1049]
TestNode::Propagate 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/content/xul/templates/src/nsRuleNetwork.cpp,
line 1049]
nsXULTemplateBuilder::Propagate 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/content/xul/templates/src/nsXULTemplateBuilder.cpp,
line 427]
nsXULTemplateBuilder::OnAssert 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/content/xul/templates/src/nsXULTemplateBuilder.cpp,
line 498]
CompositeDataSourceImpl::OnAssert 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/rdf/base/src/nsCompositeDataSource.cpp,
line 1464]
nsMsgRDFDataSource::assertEnumFunc 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMsgRDFDataSource.cpp,
line 410]
nsSupportsArray::EnumerateForwards 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/xpcom/ds/nsSupportsArray.cpp,
line 630]
nsMsgRDFDataSource::NotifyObservers 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMsgRDFDataSource.cpp,
line 397]
nsMsgAccountManagerDataSource::OnServerLoaded 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMsgAccountManagerDS.cpp,
line 1238]
nsMsgAccountManager::NotifyServerLoaded 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMsgAccountManager.cpp,
line 1773]
nsMsgAccount::SetIncomingServer 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMsgAccount.cpp,
line 175]
XPTC_InvokeByIndex 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/xpcom/reflect/xptcall/src/md/win32/xptcinvoke.cpp,
line 102]
XPCWrappedNative::CallMethod 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/js/src/xpconnect/src/xpcwrappednative.cpp,
line 2036]
XPC_WN_GetterSetter 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/js/src/xpconnect/src/xpcwrappednativejsops.cpp,
line 1312]
js_Invoke 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 1288]
js_InternalInvoke 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 1384]
js_InternalGetOrSet 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 1427]
js_Interpret 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 3462]
js_Invoke 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 1307]
fun_apply 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/js/src/jsfun.c, line
1543]
js_Invoke 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 1288]
js_Interpret 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 3621]
js_Invoke 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 1307]
js_Interpret 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 3621]
js_Invoke 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c,
line 1307]
nsXPCWrappedJSClass::CallMethod 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/js/src/xpconnect/src/xpcwrappedjsclass.cpp,
line 1341]
nsXPCWrappedJS::CallMethod 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/js/src/xpconnect/src/xpcwrappedjs.cpp,
line 450]
PrepareAndDispatch 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/xpcom/reflect/xptcall/src/md/win32/xptcstubs.cpp,
line 119]
SharedStub 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/xpcom/reflect/xptcall/src/md/win32/xptcstubs.cpp,
line 147]
nsEventListenerManager::HandleEventSubType 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/content/events/src/nsEventListenerManager.cpp,
line 1513]
nsEventListenerManager::HandleEvent 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/content/events/src/nsEventListenerManager.cpp,
line 1589]
nsXULElement::HandleDOMEvent 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/content/xul/content/src/nsXULElement.cpp,
line 2820]
PresShell::HandleDOMEventWithTarget 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/html/base/src/nsPresShell.cpp,
line 6036]
nsButtonBoxFrame::MouseClicked 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/xul/base/src/nsButtonBoxFrame.cpp,
line 178]
nsButtonBoxFrame::HandleEvent 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/xul/base/src/nsButtonBoxFrame.cpp,
line 147]
PresShell::HandleEventInternal 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/html/base/src/nsPresShell.cpp,
line 6007]
PresShell::HandleEventWithTarget 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/html/base/src/nsPresShell.cpp,
line 5875]
nsEventStateManager::CheckForAndDispatchClick 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/content/events/src/nsEventStateManager.cpp,
line 2942]
nsEventStateManager::PostHandleEvent 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/content/events/src/nsEventStateManager.cpp,
line 1936]
PresShell::HandleEventInternal 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/html/base/src/nsPresShell.cpp,
line 6012]
PresShell::HandleEvent 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/html/base/src/nsPresShell.cpp,
line 5844]
nsViewManager::HandleEvent 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/view/src/nsViewManager.cpp,
line 2402]
nsViewManager::DispatchEvent 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/view/src/nsViewManager.cpp,
line 2131]
HandleEvent 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/view/src/nsView.cpp,
line 166]
nsWindow::DispatchEvent 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/widget/src/windows/nsWindow.cpp,
line 1078]
nsWindow::DispatchWindowEvent 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/widget/src/windows/nsWindow.cpp,
line 1095]
nsWindow::DispatchMouseEvent 
[c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/widget/src/windows/nsWindow.cpp,
line 5329]

Comments:
moving an MI-OE message-folder per drag´n´drop between thunder-folders.	
---
moving folders in the adress-book	
---
I opened the client and let it sit. After about 10 minutes it crashed	
configuring e-mail account	
---
1. Opening the program 2. Later on it crashed when i was looking in one of my
mail folders	
---
I was just adding accounts Congrats for the program, this is the first problem I
had hope u can improve it!
---
downloading messages from hotmail acc. using hottmail popper	
---
I want receive messages, but there are problems with smtp. Whit OE there are
not problems	
---
Trying to set up folder for mail messages	
---
starting up in safe mode after deletion of an account	
---
I just erased an account after transferring its files to the Local Folders
subfolders	
---
clicked on Inbox after filling in account information	
---
http://www.antispawarechat.com
1. clicked on en email : -Subject: New virus definitions - november 18th -From:
Dudley Gross <Walshgkil@emumail.com> -Date:: 11/10/04 at 7:14 am 2. Note: I
viewed the email source code, copied and pasted "www.antispawarechat.com" into
the address	
---
Getting my e-mails
Comment 1 Jay Patel [:jay] 2004-12-27 11:30:28 PST
This is the #1 topcrasher for Mozilla 1.7.5 and is also a topcrash with
Thunderbird 1.0.  However, from looking at the latest Talkback data, it looks
like most of the crashes are coming from the just a couple of users.

M175 Talkback data:
Count   Offset    Real Signature
[ 69   nsMessengerWinIntegration::SetupInbox 157c7ef2 -
nsMessengerWinIntegration::SetupInbox ]
 
     Crash date range: 23-DEC-04 to 23-DEC-04
     Min/Max Seconds since last crash: 8 - 48
     Min/Max Runtime: 5914 - 7506
 
     Count   Platform List 
     69   Windows XP [Windows NT 5.1 build 2600] 
 
     Count   Build Id List 
     69   2004121708
 
     No of Unique Users         1
 
 Stack trace(Frame) 

	 nsMessengerWinIntegration::SetupInbox
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMessengerWinIntegration.cpp
 line 1057] 
	 nsMessengerWinIntegration::UpdateUnreadCount
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMessengerWinIntegration.cpp
 line 1143] 
	 nsMessengerWinIntegration::OnItemIntPropertyChanged
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMessengerWinIntegration.cpp
 line 911] 
	 nsMsgMailSession::OnItemIntPropertyChanged
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMsgMailSession.cpp
 line 167] 
	 nsMsgDBFolder::NotifyIntPropertyChanged
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/util/nsMsgDBFolder.cpp
 line 4011] 
	 nsMsgLocalMailFolder::UpdateSummaryTotals
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/local/src/nsLocalMailFolder.cpp
 line 1496] 
	 nsMsgDBFolder::EnableNotifications
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/util/nsMsgDBFolder.cpp
 line 4184] 
	 nsMsgDBFolder::MarkAllMessagesRead
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/util/nsMsgDBFolder.cpp
 line 1249] 
	 nsMsgFolderDataSource::DoCommand
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMsgFolderDataSource.cpp
 line 785] 
	 CompositeDataSourceImpl::DoCommand
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/rdf/base/src/nsCompositeDataSource.cpp
 line 1337] 
	 XPTC_InvokeByIndex
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/xpcom/reflect/xptcall/src/md/win32/xptcinvoke.cpp
 line 102] 
	 XPCWrappedNative::CallMethod
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/js/src/xpconnect/src/xpcwrappednative.cpp
 line 2036] 
	 XPC_WN_CallMethod
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/js/src/xpconnect/src/xpcwrappednativejsops.cpp
 line 1288] 
	 js_Invoke
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c 
line 943] 
	 js_Interpret
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c 
line 2978] 
	 js_Invoke
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c 
line 959] 
	 js_InternalInvoke
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c 
line 1036] 
	 JS_CallFunctionValue
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/js/src/jsapi.c  line
3700] 
	 nsJSContext::CallEventHandler
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/dom/src/base/nsJSEnvironment.cpp
 line 1299] 
	 nsJSEventListener::HandleEvent
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/dom/src/events/nsJSEventListener.cpp
 line 181] 
	 nsEventListenerManager::HandleEventSubType
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/content/events/src/nsEventListenerManager.cpp
 line 1437] 
	 nsEventListenerManager::HandleEvent
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/content/events/src/nsEventListenerManager.cpp
 line 1516] 
	 nsXULElement::HandleDOMEvent
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/content/xul/content/src/nsXULElement.cpp
 line 2841] 
	 PresShell::HandleDOMEventWithTarget
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/layout/html/base/src/nsPresShell.cpp
 line 6120] 
	 nsMenuFrame::Execute
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/layout/xul/base/src/nsMenuFrame.cpp
 line 1652] 
	 nsMenuFrame::HandleEvent
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/layout/xul/base/src/nsMenuFrame.cpp
 line 444] 
	 PresShell::HandleEventInternal
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/layout/html/base/src/nsPresShell.cpp
 line 6090] 
	 PresShell::HandleEvent
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/layout/html/base/src/nsPresShell.cpp
 line 5934] 
	 nsViewManager::HandleEvent
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/view/src/nsViewManager.cpp
 line 2326] 
	 nsViewManager::DispatchEvent
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/view/src/nsViewManager.cpp
 line 2070] 
	 HandleEvent
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/view/src/nsView.cpp 
line 77] 
	 nsWindow::DispatchEvent
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/widget/src/windows/nsWindow.cpp
 line 1071] 
	 nsWindow::DispatchWindowEvent
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/widget/src/windows/nsWindow.cpp
 line 1088] 
	 nsWindow::DispatchMouseEvent
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/widget/src/windows/nsWindow.cpp
 line 5261] 
	 ChildWindow::DispatchMouseEvent
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/widget/src/windows/nsWindow.cpp
 line 5512] 
	 nsWindow::ProcessMessage
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/widget/src/windows/nsWindow.cpp
 line 4091] 
	 nsWindow::WindowProc
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/widget/src/windows/nsWindow.cpp
 line 1350] 
	 USER32.dll + 0x8709 (0x77d48709)  
	 USER32.dll + 0x87eb (0x77d487eb)  
	 USER32.dll + 0x89a5 (0x77d489a5)  
	 USER32.dll + 0x89e8 (0x77d489e8)  
	 nsAppShell::Run
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/widget/src/windows/nsAppShell.cpp
 line 159] 
	 nsAppShellService::Run
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/xpfe/appshell/src/nsAppShellService.cpp
 line 524] 
	 main1
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/xpfe/bootstrap/nsAppRunner.cpp
 line 1313] 
	 main
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/xpfe/bootstrap/nsAppRunner.cpp
 line 1784] 
	 WinMain
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/xpfe/bootstrap/nsAppRunner.cpp
 line 1810] 
	 WinMainCRTStartup()  
	 kernel32.dll + 0x16d4f (0x7c816d4f)   
 
 
====================================================================================================
     Count   Offset    Real Signature
[ 40   nsMessengerWinIntegration::SetupInbox 2fc3f93d -
nsMessengerWinIntegration::SetupInbox ]
 
     Crash date range: 23-DEC-04 to 25-DEC-04
     Min/Max Seconds since last crash: 6 - 32566
     Min/Max Runtime: 4348 - 32566
 
     Count   Platform List 
     40   Windows XP [Windows NT 5.1 build 2600] 
 
     Count   Build Id List 
     40   2004121708
 
     No of Unique Users         2
 
 Stack trace(Frame) 

	 nsMessengerWinIntegration::SetupInbox
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMessengerWinIntegration.cpp
 line 1057] 
	 nsMessengerWinIntegration::UpdateUnreadCount
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMessengerWinIntegration.cpp
 line 1143] 
	 nsMessengerWinIntegration::OnItemIntPropertyChanged
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMessengerWinIntegration.cpp
 line 911] 
	 nsMsgMailSession::OnItemIntPropertyChanged
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMsgMailSession.cpp
 line 167] 
	 nsMsgDBFolder::NotifyIntPropertyChanged
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/util/nsMsgDBFolder.cpp
 line 4011] 
	 nsMsgLocalMailFolder::UpdateSummaryTotals
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/local/src/nsLocalMailFolder.cpp
 line 1496] 
	 nsMsgDBFolder::EndFolderLoading
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/util/nsMsgDBFolder.cpp
 line 283] 
	 XPTC_InvokeByIndex
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/xpcom/reflect/xptcall/src/md/win32/xptcinvoke.cpp
 line 102] 
	 XPCWrappedNative::CallMethod
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/js/src/xpconnect/src/xpcwrappednative.cpp
 line 2036] 
	 XPC_WN_CallMethod
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/js/src/xpconnect/src/xpcwrappednativejsops.cpp
 line 1288] 
	 js_Invoke
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c 
line 943] 
	 js_Interpret
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c 
line 2978] 
	 js_Invoke
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/js/src/jsinterp.c 
line 959] 
	 nsXPCWrappedJSClass::CallMethod
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/js/src/xpconnect/src/xpcwrappedjsclass.cpp
 line 1341] 
	 nsXPCWrappedJS::CallMethod
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/js/src/xpconnect/src/xpcwrappedjs.cpp
 line 450] 
	 PrepareAndDispatch
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/xpcom/reflect/xptcall/src/md/win32/xptcstubs.cpp
 line 119] 
	 SharedStub
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/xpcom/reflect/xptcall/src/md/win32/xptcstubs.cpp
 line 147] 
	 nsMsgMailSession::OnItemEvent
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsMsgMailSession.cpp
 line 262] 
	 nsMsgDBFolder::NotifyFolderEvent
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/util/nsMsgDBFolder.cpp
 line 4131] 
	 nsMsgDBFolder::OnStopRunningUrl
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/util/nsMsgDBFolder.cpp
 line 1281] 
	 nsMsgLocalMailFolder::OnStopRunningUrl
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/local/src/nsLocalMailFolder.cpp
 line 3255] 
	 nsUrlListenerManager::BroadcastChange
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsUrlListenerManager.cpp
 line 97] 
	 nsUrlListenerManager::OnStopRunningUrl
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/src/nsUrlListenerManager.cpp
 line 126] 
	 nsMsgMailNewsUrl::SetUrlState
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/util/nsMsgMailNewsUrl.cpp
 line 133] 
	 nsMsgProtocol::OnStopRequest
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/base/util/nsMsgProtocol.cpp
 line 368] 
	 nsMailboxProtocol::OnStopRequest
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/mailnews/local/src/nsMailboxProtocol.cpp
 line 392] 
	 nsInputStreamPump::OnStateStop
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/netwerk/base/src/nsInputStreamPump.cpp
 line 499] 
	 nsInputStreamPump::OnInputStreamReady
[d:/BUILDS/tinderbox/Mozilla1.7/WINNT_5.0_Clobber/mozilla/netwerk/base/src/nsInputStreamPump.cpp
 line 340]  
 
I have sent email to a handful of users that have submitted multiple Talkback
reports for this crash.  Hopefully they will respond with helpful information.
Comment 2 John Buckles 2004-12-28 16:05:08 PST
Thanks for your interest.  I am a limited skills user and just got tired of
losing my messages in Thunderbird and adware sneaking past my spyware and
antivirus programs while using Firefox.  I've tried two different Thunderbird
versions.  The latest not only lost my email, it just locked up.  Uninstall,
reinstall...no change.  I merely went back to Mozilla/Mozilla mail, where there
have been few problems.  As much as I disliked the security issues with IE and
Outlook Express, they did work the best but I prefer Mozilla.  Just for your
information, I am using ZoneAlarm and Pest Patrol for internet
security...default settings.  My ISP is a cable hook up.  Computer is a Dell
4600 series with 512megs of ram...WinXP
Comment 3 Frank Wein [:mcsmurf] 2006-08-02 17:53:51 PDT
BTW: I saw someone with Thunderbird 1.5.0.5 suffering from this crash and it still appears in the topcrasher lists (also more at the buttom, last I checked it was #73 or so). I couldn't find out why it crashes, his mailbox was quite big (~1GB), his prefs.js looked ok (I only took a quick look though). His problem was that Thunderbird one day always tried to recreate the summary file of the Inbox as soon as he wanted to fetch new mails and this did not work (maybe he did not give it enough time, he said he killed Thunderbird sometimes then via task manager). After deleting the Inbox.msf file Thunderbird always crashed on startup. Helped the user by giving advice how to move the Inbox file to a new profile. Maybe something was wrong with his prefs.js file...
Comment 4 Wayne Mery (:wsmwk, NI for questions) 2007-02-06 11:16:24 PST
Frank in comment #3
> ...his prefs.js looked ok (I only took a quick look though). His
> problem was that Thunderbird one day always tried to recreate the summary file
> of the Inbox as soon as he wanted to fetch new mails and this did not work
> (maybe he did not give it enough time, he said he killed Thunderbird sometimes
> then via task manager). After deleting the Inbox.msf file Thunderbird always
> crashed on startup. Helped the user by giving advice how to move the Inbox file
> to a new profile. Maybe something was wrong with his prefs.js file...

I was able to cause this crash with a bad prefs.js.  (details below after this summary)

500 talkback crashes in last 60 days with this top of stack. Sampling of the comments:
- difficulty importing from Outlook
- change the server type from POP3 to IMAP by using the configuration editor and modifying the entry for POP3... 
- setting up new newsgroup server
- added a new account
- Just downloaded latest version, installed, started and it crashed straight off
- fresh install - restored profile with MozBackup 1.4.5 - started Thunderbird for the 1st time
- Starting application for first time after importing profile from Netscape.
- most are from someone saying "junt startup"


Details of my changes to cause crash == in one of my server groupings I changed
 user_pref("mail.server.server11.charset", "ISO-8859-1");
 user_pref("mail.server.server11.directory", "C:\\Documents and Settings\\wsm0.AD\\Application Data\\Thunderbird\\Profiles\\f3zfczyu.default\\News\\news.vmware.com");
 user_pref("mail.server.server11.directory-rel", "[ProfD]News/news.vmware.com");
to 
 user_pref("mail.server.server11.charset", "ISO-8859-1");
 # /* user_pref("mail.server.server11.directory", "C:\\Documents and Settings\\wsm0.AD\\Application Data\\Thunderbird\\Profiles\\f3zfczyu.default\\News\\news.vmware.com");
 # user_pref("mail.server.server11.directory-rel", "[ProfD]News/news.vmware.com");
 */

removing the last line of " */" got rid of the crash

TB29073322
Stack Signature	 nsMessengerWinIntegration::SetupInbox 7d1588bb
Product ID	ThunderbirdTrunk
Build ID	2007013003
Trigger Time	2007-02-06 09:13:00.0
Platform	Win32
Operating System	Windows NT 5.1 build 2600
Module	thunderbird.exe + (004e7740)
URL visited	
User Comments	bug 171313 after first crash prefs.js untouched s/vseerror
Since Last Crash	0 sec
Total Uptime	526043 sec
Trigger Reason	Access violation
Source File, Line No.	d:\builds\tinderbox\tb-trunk\winnt_5.2_depend\mozilla\mailnews\base\src\nsmessengerwinintegration.cpp, line 1130
Stack Trace 	
nsMessengerWinIntegration::SetupInbox  [mozilla\mailnews\base\src\nsmessengerwinintegration.cpp, line 1130]
0x024368d0
Comment 5 Wayne Mery (:wsmwk, NI for questions) 2007-08-10 08:04:38 PDT
#28 in crash list

TB34695764 trying to open a restored profile (restored using mozbackup)
TB34817750 Every time I write an Email
Comment 6 Wayne Mery (:wsmwk, NI for questions) 2008-02-14 12:06:26 PST
is this more likely to be account or profile related than mailnews: backend?  (ref comment 4)

talkback ranking dropped to #53
Comment 7 Wayne Mery (:wsmwk, NI for questions) 2009-11-12 05:35:49 PST
not found in 3 most recent months of crash-stats.
But I hesitate to close WFM. Let's wait until we've got the release out a month or two before => WFM
Comment 8 Wayne Mery (:wsmwk, NI for questions) 2010-01-20 14:23:34 PST
biff related?

very rare crash (but still occurring)

several on crash-stats, today only, all 3.0.1, at least 2 different people
none found for 3.0.0, or anything going back as far as ...
3.0a3 on 2009-08-28 bp-a1f28371-ba67-40de-bb7b-55bf32090828

bp-fa5d2601-acdf-4154-847d-832562100120 3.0.1 no extensions
0  	thunderbird.exe  	nsMessengerWinIntegration::SetupInbox  	 mailnews/base/src/nsMessengerWinIntegration.cpp:1111
1 	thunderbird.exe 	nsMessengerWinIntegration::UpdateUnreadCount 	mailnews/base/src/nsMessengerWinIntegration.cpp:1171
2 	thunderbird.exe 	nsMessengerWinIntegration::OnItemIntPropertyChanged 	mailnews/base/src/nsMessengerWinIntegration.cpp:967
3 	thunderbird.exe 	nsMsgMailSession::OnItemIntPropertyChanged 	mailnews/base/src/nsMsgMailSession.cpp:161
4 	thunderbird.exe 	nsMsgDBFolder::NotifyIntPropertyChanged 	mailnews/base/util/nsMsgDBFolder.cpp:4865
5 	thunderbird.exe 	nsMsgDBFolder::UpdateSummaryTotals 	mailnews/base/util/nsMsgDBFolder.cpp:4052
6 	thunderbird.exe 	nsMsgDBFolder::OnHdrFlagsChanged 	mailnews/base/util/nsMsgDBFolder.cpp:1029
7 	thunderbird.exe 	nsMsgDatabase::NotifyHdrChangeAll 	mailnews/db/msgdb/src/nsMsgDatabase.cpp:697
8 	thunderbird.exe 	nsMsgDatabase::MarkHdrReadInDB 	mailnews/db/msgdb/src/nsMsgDatabase.cpp:1981
9 	thunderbird.exe 	nsMsgDatabase::MarkHdrRead 	mailnews/db/msgdb/src/nsMsgDatabase.cpp:2412
10 	thunderbird.exe 	nsMsgDatabase::MarkRead 	mailnews/db/msgdb/src/nsMsgDatabase.cpp:1994
11 	thunderbird.exe 	nsMsgHdr::MarkRead 	mailnews/db/msgdb/src/nsMsgHdr.cpp:262
12 	thunderbird.exe 	nsMsgDBFolder::MarkMessagesRead 	mailnews/base/util/nsMsgDBFolder.cpp:4634
13 	xpcom_core.dll 	NS_InvokeByIndex_P 	xpcom/reflect/xptcall/src/md/win32/xptcinvoke.cpp:101
Comment 9 timeless 2010-01-20 15:04:43 PST
Created attachment 422638 [details] [diff] [review]
handle functions which can return success and null
Comment 10 David :Bienvenu 2010-01-31 15:48:20 PST
Comment on attachment 422638 [details] [diff] [review]
handle functions which can return success and null

thx, looks reasonable.
Comment 11 neil@parkwaycc.co.uk 2010-01-31 15:56:00 PST
Comment on attachment 422638 [details] [diff] [review]
handle functions which can return success and null

>   rv = accountManager->GetDefaultAccount(getter_AddRefs(account));
>-  if (NS_FAILED(rv)) {
>+  if (NS_FAILED(rv) || !account) {
I don't see how this can successfully return null.

>   rv = account->GetIncomingServer(getter_AddRefs(server));
>   NS_ENSURE_SUCCESS(rv,rv);
>+  if (!account)
>+    return NS_ERROR_FAILURE;
Was this meant to check for a null server (which is apparently allowed)?
Comment 12 timeless 2010-01-31 22:19:07 PST
Created attachment 424542 [details] [diff] [review]
don't pretend to return null-success; handle null success
Comment 13 Mark Banner (:standard8, afk until Dec) 2010-02-07 07:55:15 PST
It looks like something we did in 3.0.1 pushed this up the topcrash list to approx num 2 or 3. We have a reviewed patch, I'll drive this in.
Comment 14 Mark Banner (:standard8, afk until Dec) 2010-02-08 02:27:11 PST
Checked in: http://hg.mozilla.org/comm-central/rev/20f0d18ef10b
Comment 15 Wayne Mery (:wsmwk, NI for questions) 2010-02-08 04:31:25 PST
(In reply to comment #13)
> It looks like something we did in 3.0.1 pushed this up the topcrash list to
> approx num 2 or 3. 

indeed, this crash went from zero to #1. 80% are startup crashes

No crashes prior to 20100111 for 1.9.1 branch and for 1.9.2 not before 20100119 with less than a couple crashes per week [1] - which hints the culprit landed on branch no more than a a day or two before 3.0.1 was cut, and perhaps less than a week before on trunk. 

A ton of checkins never got to bake on 1.9.1 branch http://hg.mozilla.org/releases/comm-1.9.1/pushloghtml?startdate=2009-11-12+08%3A30&enddate=2010-01-10+15%3A31 - 23 checkins in the last two days alone.

Lots of crashes have comments and email address, so I hope we can find a testcase. And I think we want to know which "something" in http://hg.mozilla.org/releases/comm-1.9.1/pushloghtml?startdate=2009-11-12+08%3A30&enddate=2010-01-10+15%3A31 introduced the code that caused the jump.

- When will I be able to add may mail e-mail account to Thunderbird? Without the ability of adding accounts this program has become useless!
-Upgraded to thunderbird 3.0.1 and all my email accounts were duplicated and then I lost one account and I am having difficulty recreating it.
- does not recognize password --transfer to new computer failed to bring data
-Thunderbird keeps coming up with this screen since I added ad-ons. Cant unload them.
- It appears that the e-mail is being sent to my inbox in multiples, currently I have 6000 (!!!) e-mails. Deleting them makes them reloading again. Please clrrect the problem.

[1] build crashes 2010020300, 2010011900
http://crash-stats.mozilla.com/report/list?product=Thunderbird&version=Thunderbird%3A3.2a1pre&version=Thunderbird%3A3.1b1pre&version=Thunderbird%3A3.1a1&version=Thunderbird%3A3.0.2pre&query_search=signature&query_type=exact&query=nsMessengerWinIntegration%3A%3ASetupInbox%28%29&date=&range_value=4&range_unit=weeks&process_type=all&plugin_field=&plugin_query_type=&plugin_query=&do_query=1&signature=nsMessengerWinIntegration%3A%3ASetupInbox%28%29
Comment 16 Mark Banner (:standard8, afk until Dec) 2010-02-08 05:08:07 PST
(In reply to comment #15)
> A ton of checkins never got to bake on 1.9.1 branch
> http://hg.mozilla.org/releases/comm-1.9.1/pushloghtml?startdate=2009-11-12+08%3A30&enddate=2010-01-10+15%3A31
> - 23 checkins in the last two days alone.

The checkins did have plenty of time to bake actually: After the code-freeze we had 2-3 days of build + QA time followed by virtually a week of the "beta" test period. So probably around 1 to 1.5 weeks of bake before final release and we didn't see the issue.

If we didn't see it in that time, I bet another few days/week of code freeze wouldn't have picked it up either.

My theory is that this is related to the fixing of accounts bug (bug 534382) but that's just a guess and we've got no substance for it.
Comment 17 Wayne Mery (:wsmwk, NI for questions) 2010-02-08 05:48:26 PST
(In reply to comment #16)
> (In reply to comment #15)
> > A ton of checkins never got to bake on 1.9.1 branch
> > http://hg.mozilla.org/releases/comm-1.9.1/pushloghtml?startdate=2009-11-12+08%3A30&enddate=2010-01-10+15%3A31
> > - 23 checkins in the last two days alone.
> 
> The checkins did have plenty of time to bake actually: After the code-freeze we
> had 2-3 days of build + QA time followed by virtually a week of the "beta" test
> period. So probably around 1 to 1.5 weeks of bake before final release and we
> didn't see the issue.
>
> If we didn't see it in that time, I bet another few days/week of code freeze
> wouldn't have picked it up either.

debatable. other thoughts are we might not have enough testers of releases or nightlies to shake enough regressions out within a weeks time. or we need a different process of looking at crashes in the release steps and runup to releases (because we know it takes at least a week for toprash list to sort itself out), like looking at topcrash last 3-5 days rather than the default 21 days. And in the case of the likely culprit ...

> My theory is that this is related to the fixing of accounts bug (bug 534382)
> but that's just a guess and we've got no substance for it.

it matches to any of the above ideas ... and the fact that it landed a day or two prior on trunk lends credence to your theory (which I agree with) due to it's not being seen by 3.1 testers nor in crash stats.  Not that we had much choice about landing bug 534382, but perhaps some adjustments are needed.
Comment 18 David :Bienvenu 2010-02-08 07:42:41 PST
This was a startup crash, and like a lot of startup crashes, it was a guaranteed crash on startup, so users who encountered it encountered it a lot, and other users never saw it. So the math is a bit skewed in terms of the number of test users vs. the likelihood of seeing the crash. Testing longer would have only helped if we had got new testers and one of those testers happened to have the slightly corrupted profile that resulted in this crash.
Comment 19 Mark Banner (:standard8, afk until Dec) 2010-02-11 06:31:29 PST
Checked in: http://hg.mozilla.org/releases/comm-1.9.1/rev/a2494b7e0cd1

Note You need to log in before you can comment on or make changes to this bug.